karmic - /etc/grub.d/ contains both 30-otheros and 30_os-prober

Bug #433259 reported by Aldo Maggi on 2009-09-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
grub-installer (Ubuntu)
Medium
Colin Watson

Bug Description

30-otheros makes up stanzas for the other os's referring to their partition making use of the notation root=/dev/sdxx instead of root=UUID=
this is a real problem with os which still use /dev/hdxx for partitions contained in ide disks

thanks
aldo

p.s. i enclose the /var/log/installer/syslog

Aldo Maggi (sentiniate) on 2009-09-19
description: updated
Aldo Maggi (sentiniate) wrote :
Colin Watson (cjwatson) on 2009-09-19
affects: grub2 (Ubuntu) → grub-installer (Ubuntu)
Changed in grub-installer (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → Medium
status: New → In Progress
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.43ubuntu2

---------------
grub-installer (1.43ubuntu2) karmic; urgency=low

  * Explicitly install os-prober when using GRUB 2, since it does a better
    job than the otheros script (LP: #433259).

 -- Colin Watson <email address hidden> Mon, 21 Sep 2009 12:28:32 +0100

Changed in grub-installer (Ubuntu):
status: Fix Committed → Fix Released
Aldo Maggi (sentiniate) wrote :

the fix doesn't seem having solved all the problems:

first of all:
root@paperino:~# ls -l /dev/disk/by-uuid
totale 0
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 2a6b8793-2505-4750-966e-466cbf9c21cd -> ../../sdb7
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 337a635e-a720-44d9-84c3-67c06ceb40b1 -> ../../sdc1
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 581e6572-f650-45ae-bedc-6de0ec0eaa2e -> ../../sdd1
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 5d59e236-5003-4f2d-bdbc-65b4847174e4 -> ../../sdb1
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 72e5dc8c-f129-437a-975f-30cef1a2bd03 -> ../../sdb5
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 8aae5516-aae4-4b28-a900-17a4f46281b7 -> ../../sdb6
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 91ed3b0f-1daf-46e9-b58e-2a51afe71fef -> ../../sdb2
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 bb3af7ad-e381-4e61-9abf-0abc34e46f46 -> ../../sda1
lrwxrwxrwx 1 root root 10 2009-09-26 09:33 d402b8b8-727e-438e-a57d-b123605bb70d -> ../../sdb3

root@paperino:/boot/grub# update-grub2
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-2.6.31-10-generic
Found initrd image: /boot/initrd.img-2.6.31-10-generic
Found memtest86+ image: /boot/memtest86+.bin
Found Debian GNU/Linux (squeeze/sid) on /dev/sdb1
Found Debian GNU/Linux (squeeze/sid) on /dev/sdd1
done

in the attachment you can see the actual contents of grub.cfg, here i list the main errors:
menuentry "Debian Squeeze su /dev/sda1 (on /dev/sdb1) , it seems that grub2 looks into first disk mbr and uses pieces of old grub installs, as a matter of fact, less than a year ago squeeze was actually installed in sda1;

menuentry "Ubuntu, Karmic (on /dev/sdb1) , the "stanza" lists the uuid for sdb1 but in the kernel line writes root in sdb6 where karmic is actually installed

menuentry "Debian GNU/Linux, kernel 2.6.30-1-686 (on /dev/sdd1) , yes, i have squeeze in sdd1 but ... in the search line the uuid is the one of sdd1 and in the kernel line the uuid is the one of sda1, furthermore in the line appears vga=791, where did grub get that information if not in a previous install of grub?

menuentry "Debian Squeeze su /dev/sda1 (on /dev/sdd1), well in the search line the uuid is the sdd1 one, in the kernel line sda1 is listed;

menuentry "Ubuntu, Karmic (on /dev/sdd1), same error than in the stanza concerning karmic living in sdb1 (see above)

thanks
aldo

Aldo Maggi (sentiniate) wrote :

the attachment didn't actually attach ....

Aldo Maggi (sentiniate) wrote :

SOLVED with the help of fezie at #grub

the mess was due to the presence of menu.lst in two debian squeeze partitions.
actually i didn't know that grub2 would look not just to /boot/grub/grub.cfg in karmic but also to any other menu.lst present in any hard disk in the pc!!

thanks

aldo

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers